using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace GridViewInsidePanelBar
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class DataFileTemplateSelector : DataTemplateSelector
    {
        public DataTemplate Template1 { get; set; }
        public DataTemplate Template2 { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if ((item as DataItem).FlagProperty)
                return Template1;
            else return Template2;
        }
    }
}
